﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
'Code module
Sub Process_Globals
	Type SlidingData (firstTime As Boolean, currentimg As Int, img() As Panel, LeftAnimations() As Animation, RightAnimations() As Animation, targetimg As Int)
End Sub

Sub Initialize (sd As SlidingData, SlidingDuration As Int)
	duration = SlidingDuration
	list_gallery.tmrAnimation.Initialize("tmrAnimation", 2)
	Dim a(2) As Animation
	sd.LeftAnimations = a
	Dim a(2) As Animation
	sd.RightAnimations = a
	'Initialize the animation objects. We need two objects for each direction as both the current panel and the new panel are animated.
	For i = 0 To 1
		sd.leftAnimations(i).InitializeTranslate("animation" & i, 0, 0, -100%x, 0)
		sd.leftAnimations(i).Duration = SlidingDuration
		sd.rightAnimations(i).InitializeTranslate("animation" & i, 0, 0, 100%x, 0)
		sd.rightAnimations(i).Duration = SlidingDuration
	Next
	For i = 0 To sd.img.Length - 1
		sd.img(i).Left = 100%x 'Move the img right of the screen
	Next
	sd.firstTime = True
End Sub

Sub Changeimg(sd As SlidingData, left As Boolean)
	If left Then			
		If sd.firstTime = False Then 'remove current panel if such exists (it will not be the case on the first call).
			sd.leftAnimations(0).Start(sd.img(sd.currentimg)) 'Animate current panel and move it out
		Else
			sd.firstTime = False
		End If
		sd.leftAnimations(1).Start(sd.img((sd.currentimg + 1) Mod sd.img.Length)) 'Animate new panel
		sd.currentimg = (sd.currentimg + 1) Mod sd.img.Length
	Else
		Dim leftimg As Int
		leftimg = (sd.currentimg + sd.img.Length - 1) Mod sd.img.Length
		sd.img(leftimg).left = -100%x
		sd.rightAnimations(0).Start(sd.img(sd.currentimg))
		sd.rightAnimations(1).Start(sd.img(leftimg))
		sd.currentimg = leftimg
	End If
End Sub
Sub AnimationEnd (sd As SlidingData)
	sd.img(sd.currentimg).Left = 0 'Set the position of the new panel
	For i = 0 To sd.img.Length - 1
		If i <> sd.currentimg Then sd.img(i).Left = 100%x 'Move all other img right of the screen.
	Next
End Sub


